# iptable-autoconf

基于[科大 IP Blacklist](https://blackip.ustc.edu.cn/)的iptables自动配置程序。

## 程序说明

本程序仅限支持iptables和ipset并且安装了python的linux系统使用。

自动配置iptables规则来阻止部分风险IP对内网的访问，尽管可能存在误报导致自己的请求也被删除，但是整体是可以防范非常多的网络风险。

数据来源于中科大开放的IP黑名单，通过shell实现一键配置规则，无需手动操作，更快更方便。

## 使用说明

### 配置规则

请确保本机已经安装`python 3.6+`

1. 下载并解压该项目到指定文件夹

2. 在程序目录下创建一个`dst`文件夹，用于临时存放处理好的ip列表

3. 运行`update.sh`，程序会自动下载最新版本数据并替换本地数据

4. 稍等片刻即可完成配置

### 删除规则

如果想要删除配置的规则，你可以运行`clear.sh`或者手动删除：

1. 输入以下命令，获取对应规则的id
   
   ```shell
   iptables --table filter --list --line-number | grep ustc
   ```

2. 手动输入以下命令逐个删除规则
   
   ```shell
   iptables --delete INPUT <rule_id>
   ```

## 免责声明

程序经过测试发现对于IPv6添加存在一定问题，建议删除相关代码之后使用。请不要在生产环境下使用本程序，以免导致配置出错。

不提供任何技术支持，如有使用方面的问题（主要是bug）反馈和修改建议请提交issue。不提供更新保证，不排除未来上游数据源失效的可能。