#!/bin/sh


# ipv4 list test
id_v4=`iptables --table filter --list --line-numbers | grep ustc_blacklist_v4 | awk '{print $1}'`
if [ -z $id_v4 ]
then 
    echo "Cannot find IPv4 ipset rule on iptables"
else
    iptables --delete INPUT $id_v4
    echo "Deleted IPv4 ipset"
fi

# # ipv6 list test
id_v6=`iptables --table filter --list --line-numbers | grep ustc_blacklist_v6 | awk '{print $1}'`
if [ -z $id_v6 ]
then 
    echo "Cannot find IPv6 ipset rule on iptables"
else
    iptables --delete INPUT $id_v4_net
    echo "Deleted IPv4 Net ipset"
fi

# ipv4 net list test
id_v4_net=`iptables --table filter --list --line-numbers | grep ustc_blacklist_v4_net | awk '{print $1}'`
if [ -z $id_v4_net ]
then 
    echo "Cannot find IPv4 Net ipset rule on iptables"
else
    iptables --delete INPUT $id_v6
    echo "Deleted IPv6 ipset"
fi

# ipv6 net list test
id_v6_net=`iptables --table filter --list --line-numbers | grep ustc_blacklist_v6_net | awk '{print $1}'`
if [ -z $id_v6_net ]
then 
    echo "Cannot find IPv6 Net ipset rule on iptables"
else
    iptables --delete INPUT $id_v6_net
    echo "Deleted IPv6 Net ipset"
fi